# EMToolKit

[![Documentation Status](https://readthedocs.org/projects/emtoolkit/badge/?version=latest)](https://emtoolkit.readthedocs.io/en/latest/?badge=latest)

[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/jeplowman/EMToolKit/develop)

Welcome to the [EMToolKit](https://github.com/jeplowman/EMToolKit) repository, a suite of tools for computing Solar Differential Emission Measures (DEM) in Python. This toolkit is designed for photometric analysis and visualization, tailored for solar physics research and applications.

## User Installation

To use EMToolKit effectively, you will need to set up a python environment with specific dependencies and configurations. For now, please refer to the [Development Guide](develop.md) for detailed instructions on how to install and configure the necessary tools and libraries.

### Documentation
To get started right away, check out the [Example Notebooks](docs/build/html/examples/GALLERY_HEADER.html)

We also have
- **Official Documentation**: [ReadTheDocs](https://emtoolkit.readthedocs.io/en/latest/?badge=latest)
or the  **Documentation Mirror**: [GitHub Pages](https://jeplowman.github.io/EMToolKit/)


## Contributing

### Developer Environment
To set up a development environment for EMToolKit, please refer to the [Development Guide](develop.md).

Contributions are welcome! Please see the [contribute](contribute.md) file for details on how to get involved.




## Additional Information

- **License**: This project is licensed under the MIT License. See the [LICENSE](LICENSE) file for more details.
- **Troubleshooting**: If you encounter any issues, please refer to the [issue tracker](https://github.com/jeplowman/EMToolKit/issues) or consult the [documentation](https://emtoolkit.readthedocs.io/en/latest/?badge=latest).